﻿using UnityEngine;
using System.Collections;

public class MainController : MonoBehaviour
{
	private CsoundUnity csound;

	private int currentBeat=0;
	public int tempo = 2;

	// Use this for initialization
	void Start () 
	{
		csound = GetComponent<CsoundUnity>();
		csound.setChannel("tempo", tempo);  
	}
	
	// Update is called once per frame
	void Update () 
	{
		if(Input.GetKeyDown("up"))
		{
			tempo++;
			csound.setChannel("tempo", tempo);
		}
		else if(Input.GetKeyDown("down"))
		{
			tempo--;
			csound.setChannel("tempo", tempo);
		}

		if(currentBeat == csound.getChannel("beat"))
		{
			ResizeCubesInRow(currentBeat);
			currentBeat = (currentBeat!=7 ? currentBeat+1 : 0);				
		}
	}

	void ResizeCubesInRow(int index)
	{
		for( int i = 0 ; i < 8; i++)
		{
			string objectName = "Row"+i;
			if(GameObject.Find(objectName))
				GameObject.Find(objectName).GetComponent<RowController>().ResizeCube(index);
		}
	}

	public void EnableCubeToPlaySound(int instrument, int row, int index, bool state)
	{	
		Debug.Log("Cell Instrument is:"+instrument);	
		row = row +1;
		csound.setChannel("inst",instrument);
		string channel = "rowCubeIndex"+row;
		csound.setChannel(channel, index);
		channel = "rowCubeState"+row;
		csound.setChannel(channel, state == true ? 1 : 0);
		//Debug.Log("Playing"+row+","+index+","+state);
	}
}
